Trouble installing

Moderator: SourceGear

Post Reply
KenVee
Posts: 9
Joined: Wed Jul 10, 2013 10:16 am
Location: Meriden UK
Contact:

Trouble installing

Post by KenVee » Tue Dec 23, 2014 9:39 am

It keeps complaining that it needs the legacy Java SE 6 runtime - I have JDK 8 release 25 installed on Yosemite

jclausius
Posts: 3666
Joined: Tue Dec 16, 2003 1:17 pm
Location: SourceGear
Contact:

Re: Trouble installing

Post by jclausius » Tue Dec 23, 2014 12:16 pm

The Java JRE installers only configure a system to run Java apps within Safari. They do not configure OS X to run Java based apps.

Check the section "After I updated to Mac OS X 10.10 (Yosemite), why am I told to install Java after I already installed the latest Java?" in https://www.java.com/en/download/faq/java_mac.xml, which also has a link to this - http://support.apple.com/kb/DL1572

Afterwards, you may be required to download and install the Java JDK, which will allow you to run Java based apps on OSX. I believe some of this is covered in the README file of the CPC zip file.
Jeff Clausius
SourceGear

KenVee
Posts: 9
Joined: Wed Jul 10, 2013 10:16 am
Location: Meriden UK
Contact:

Re: Trouble installing

Post by KenVee » Wed Dec 31, 2014 3:59 am

Thanks - all working now
:D
BTW because of some oddity on the Apple Site I had to download the Java in Parallels (Firefox) then install it in OS X

jclausius
Posts: 3666
Joined: Tue Dec 16, 2003 1:17 pm
Location: SourceGear
Contact:

Re: Trouble installing

Post by jclausius » Wed Dec 31, 2014 8:55 am

That is strange.

Also note, the official Vault Cross Platform Client was released as a part of Vault 8. See http://www.sourcegear.com/vault for more details.
Jeff Clausius
SourceGear

KenVee
Posts: 9
Joined: Wed Jul 10, 2013 10:16 am
Location: Meriden UK
Contact:

Re: Trouble installing

Post by KenVee » Wed Dec 31, 2014 9:14 am

Thanks - I had been waiting for that
That will be another weekend lost to an upgrade (well an hour or two)

jclausius
Posts: 3666
Joined: Tue Dec 16, 2003 1:17 pm
Location: SourceGear
Contact:

Re: Trouble installing

Post by jclausius » Wed Dec 31, 2014 9:55 am

If you're coming from Vault 7, it shouldn't be too bad. Just make sure you have a good backup of the sg* databases.

Also, in case you've already run some of the previous Preview releases, see the README file regarding resetting the local .metadata/ directory.
Jeff Clausius
SourceGear

Post Reply